Mean
The vocabulary player requires Flash Player 8 or higher and JavaScript.

An average of two or more numbers.